System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbCommandBuilder

The does not automatically generate the Transact-SQL statements required to reconcile changes made to a with the associated instance of SQL Server. However, you can create a object to automatically generate Transact-SQL statements for single-table updates if you set the property of the . Then, any additional Transact-SQL statements that you do not set are generated by the .

The registers itself as a listener for events whenever you set the property. You can only associate one or object with each other at one time.

To generate INSERT, UPDATE, or DELETE statements, the uses the property to retrieve a required set of metadata automatically. If you change the after the metadata has been retrieved, such as after the first update, you should call the method to update the metadata.

The SelectCommand must also return at least one primary key or unique column. If none are present, an InvalidOperation exception is generated, and the commands are not generated.

The also uses the , , and properties referenced by the . The user should call if one or more of these properties are modified, or if the itself is replaced. Otherwise the , , and properties retain their previous values.

If you call , the is disassociated from the , and the generated commands are no longer used.

Automatically generates single-table commands that are used to reconcile changes made to a with the associated SQL Server database. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance of , any existing associated with this is released.

  Initializes a new instance of the class with the associated object.

  The name of the .
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Data.Common.CatalogLocation To be added. To be added.

  Sets or gets the for an instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.String To be added. To be added.

  Sets or gets a string used as the catalog separator for an instance of the class.

- Property
  System.Data.SqlClient.SqlDataAdapter To be added: an object of type 'SqlDataAdapter'

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance of , any existing associated with this is released.

  Gets or sets a object for which Transact-SQL statements are automatically generated.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(null)
- Method
  System.Void ``

  DeriveParameters overwrites any existing parameter information for the SqlDbCommand.

  DeriveParameters requires an additional call to the database to obtain the information. If the parameter information is known in advance, it is more efficient to populate the parameters collection by setting the information explicitly.

  You can only use DeriveParameters with stored procedures. You cannot use DeriveParameters with extended stored procedures. You cannot use DeriveParameters to populate the with arbitrary Transact-SQL statements, such as a parameterized SELECT statement.

  For more information, see Using Stored Procedures with a Command.

  Retrieves parameter information from the stored procedure specified in the and populates the collection of the specified object.

  The referencing the stored procedure from which the parameter information is to be derived. The derived parameters are added to the collection of the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0
- Method
  System.Data.SqlClient.SqlCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object required to perform deletions on the database.

  The automatically generated object required to perform deletions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlClient.SqlCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The returned from the GetSchema method call and found in the collection has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the returned from the GetSchema method call and found in the collection regular expression.

  A returned from the GetSchema method call and found in the collection is specified.

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object that is required to perform deletions on the database.

  The automatically generated object that is required to perform deletions.

  If true, generate parameter names matching column names if possible. If false, generate @p1, @p2, and so on.
- Method
  System.Data.SqlClient.SqlCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the Transact-SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The Transact-SQL statements are first generated when the application calls either or .

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object required to perform insertions on the database.

  The automatically generated object required to perform insertions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlClient.SqlCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the Transact-SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The Transact-SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The returned from the GetSchema method call and found in the collection has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the returned from the GetSchema method call and found in the collection regular expression.

  A returned from the GetSchema method call and found in the collection is specified.

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object that is required to perform insertions on the database.

  The automatically generated object that is required to perform insertions.

  If true, generate parameter names matching column names if possible. If false, generate @p1, @p2, and so on.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.DataTable `` To be added. To be added. To be added. To be added.
- Method
  System.Data.SqlClient.SqlCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the Transact-SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The Transact-SQL statements are first generated when the application calls either or .

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object required to perform updates on the database.

  The automatically generated object that is required to perform updates.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlClient.SqlCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the Transact-SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The Transact-SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The returned from the GetSchema method call and found in the collection has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the returned from the GetSchema method call and found in the collection regular expression.

  A returned from the GetSchema method call and found in the collection is specified.

  For more information, see Automatically Generating Commands.

  Gets the automatically generated object required to perform updates on the database.

  The automatically generated object required to perform updates.

  If true, generate parameter names matching column names if possible. If false, generate @p1, @p2, and so on.
- Method
  2.0.0.0
  System.Data.Common.DbCommand `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier. This includes correctly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are correctly escaped.

  The original unquoted identifier.
- Property
  System.String To be added: an object of type 'string'

  Although you cannot change the or properties after an insert, update, or delete command has been generated, you can change their settings after calling the Update method of a DataAdapter.

  Gets or sets the starting character or characters to use when specifying SQL Server database objects, such as tables or columns, whose names contain characters such as spaces or reserved tokens.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Property
  System.String To be added: an object of type 'string'

  Although you cannot change the or properties after an insert, update, or delete operation has been generated, you can change their settings after calling the Update method of a DataAdapter.

  Gets or sets the ending character or characters to use when specifying SQL Server database objects, such as tables or columns, whose names contain characters such as spaces or reserved tokens.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  System.Void To be added

  Clears the commands that are associated with this command builder.

  1.0.5000.0
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.String To be added.

  Generally, database servers indicate the schema for a identifier by separating the schema name from the identifier with some character. For example, SQL Server uses a period, creating complete identifiers such as Person.CustomerName, where "Person" is the schema name and "CustomerName" is the identifier. Setting this property lets developers modify this behavior.

  Gets or sets the character to be used for the separator between the schema identifier and any other identifiers.

- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier. This includes correctly unescaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes properly unescaped.

  The identifier that will have its embedded quotes removed.